< back to index

HTTP request

GET http://wevotedeveloper.com:8000/apis/v1/pdfToHtmlRetrieve (Jump to "Try It Now")

Required Parameters

Parameter name Value Description
voter_device_id string An 88 character unique identifier linked to a voter record on the server
pdf_url string The valid URL, from which to load the PDF to be converted

Optional Parameters

Parameter name Value Description
version boolean report the version of the Tika server doing the PDF to HTML conversion

Response

{
  "status": string,
  "success": boolean,
  "output_from_subprocess": string,
  "s3_url_for_html": string (a public url to a new or reused HTML page in S3),
}

Response Status Codes

Code Description
PDF_URL_MISSING The URL to the PDF is either missing or invalid.
PDF_URL_RETURNED The API call has returned a URL to a new HTML page in S3
TIKA_SERVER_VERSION The version of the Tika server used to convert the PDF

Try It Now: API Variables

Convert a PDF to an HTML file in S3, and return the URL

Parameter name Value  
voter_device_id:
pdf_url:
version: True
False

(opens in new window)